function [collision,collision_points] = detectCollision(tours, points, avoidPoints1, avoidPoints2, minDistance)
    theTour = cell2mat(tours(1,1));
    mainPoints = zeros(length(theTour)-1,2);
    for i=1:(length(theTour))
        mainPoints(i,1) = points(theTour(i),1);
        mainPoints(i,2) = points(theTour(i),2);
    end
    collision = false;
    collision_points = [];
    first = true;
    if ~isempty(avoidPoints1)
        if size(mainPoints,1) <= size(avoidPoints1,1)
            for i=1:size(mainPoints,1)
                if minDistance > sqrt((avoidPoints1(i,1)-mainPoints(i,1))^2+(avoidPoints1(i,2)-mainPoints(i,2))^2)
                    collision = true;
                    if first
                        collision_points(1) = [i];
                        first = false;
                    else
                        collision_points(end+1) = i;
                    end
                end
            end
        else
            for i=1:size(avoidPoints1,1)
                if minDistance > sqrt((avoidPoints1(i,1)-mainPoints(i,1))^2+(avoidPoints1(i,2)-mainPoints(i,2))^2)
                    collision = true;
                    if first
                        collision_points(1) = [i];
                        first = false;
                    else
                        collision_points(end+1) = i;
                    end
                end
            end
        end
    end
    if ~isempty(avoidPoints2)
        if size(mainPoints,1) <= size(avoidPoints2,1)
            for i=1:size(mainPoints,1)
                if minDistance > sqrt((avoidPoints2(i,1)-mainPoints(i,1))^2+(avoidPoints2(i,2)-mainPoints(i,2))^2)
                    collision = true;
                    if first
                        collision_points(1) = [i];
                        first = false;
                    else
                        collision_points(end+1) = i;
                    end
                end
            end
        else
            for i=1:size(avoidPoints2,1)
                if minDistance > sqrt((avoidPoints2(i,1)-mainPoints(i,1))^2+(avoidPoints2(i,2)-mainPoints(i,2))^2)
                    collision = true;
                    if first
                        collision_points(1) = [i];
                        first = false;
                    else
                        collision_points(end+1) = i;
                    end
                end
            end
        end
    end
end