function [fromOut, toOut] = findClosestAndMove(from,to,lastHole)
    minValue = 1000;
    if isempty(to)
        for i=1:size(from,1)
            dist = sqrt((from(i,1)-lastHole(1))^2 + (from(i,2)-lastHole(2))^2);
            if dist < minValue
                minValue = dist;
                index = i;
            end
        end
    else
        for i=1:size(from,1)
            for j=1:size(to,1)
                dist = sqrt((from(i,1)-to(j,1))^2 + (from(i,2)-to(j,2))^2);
                if dist < minValue
                    minValue = dist;
                    index = i;
                end
            end
        end
    end
    toOut = [to; from(index,:)];
    if index==1
        fromOut = [from(2:end,:)];
    elseif index==size(from,1)
        fromOut = [from(1:(index-1),:)];
    else
        fromOut = [from(1:(index-1),:); from((index+1):end,:)];
    end
end