function [left, center, right] = reAllocateHoles(left, center, right, lastLeft, lastCenter, lastRight)
    l = size(left,1);
    r = size(right,1);
    c = size(center,1);
    if (l<=r+1 && l>=r-1) && (l<=c+1 && l>=c-1) && (c<=r+c && c>=r-c)
        return;
    else
        cont = true;
    end
    
    while cont
        if l <= r && l <= c
            if c >= r
                [center, left] = findClosestAndMove(center,left,lastLeft);
            else
                [right, center] = findClosestAndMove(right,center,lastCenter);
                [center, left] = findClosestAndMove(center,left,lastLeft);
            end
        elseif r <= l && r <= c
            if c >= l
                [center, right] = findClosestAndMove(center,right,lastRight);
            else
                [left, center] = findClosestAndMove(left,center,lastCenter);
                [center, right] = findClosestAndMove(center,right,lastRight);
            end
        elseif c <= r && c <= l
            if r >= l
                [right, center] = findClosestAndMove(right,center,lastCenter);
            else
                [left, center] = findClosestAndMove(left,center,lastCenter);
            end
        end
        l = size(left,1);
        r = size(right,1);
        c = size(center,1);
        if (l<=r+1 && l>=r-1) && (l<=c+1 && l>=c-1) && (c<=r+c && c>=r-c)
            cont = false;
            return;
        end
    end
end