clear;

logDir = 'Pel13960-14410';
logs = dir(logDir);
logs = logs(3:end);


planFilename = 'C:\Users\eivindjk\Documents\Bever Team\Favorites\Drillplans\Normalprofil 14410-13960 med siktutvidelse med tenn og ladeplan.xml';
[xPlan,yPlan] = getDrillPlan(planFilename);
nHolesPlan = length(xPlan);

holeNoBoom1 = zeros(nHolesPlan,1);
holeNoBoom2 = holeNoBoom1;
holeNoBoom3 = holeNoBoom1;

%%
for i=1:size(logs,1)
    filename = fullfile(logDir, logs(i).name);
    [tunnelLine, pel, drillDir, nHoles, xStart, yStart, zStart, xEnd, yEnd, zEnd, holeType, boom, holeNoPlan, startTime, endTime] = readTl4Complete(filename);
    for j=1:nHoles
        if holeNoPlan(j) ~= -1 && holeNoPlan(j) ~= 0 && holeNoPlan(j)<=nHolesPlan
            switch boom(j)
                case 1
                    holeNoBoom1(holeNoPlan(j)) = holeNoBoom1(holeNoPlan(j)) + 1;
                case 2
                    holeNoBoom2(holeNoPlan(j)) = holeNoBoom2(holeNoPlan(j)) + 1;
                case 3
                    holeNoBoom3(holeNoPlan(j)) = holeNoBoom3(holeNoPlan(j)) + 1;
            end
        end
    end
end