drillPlan = 'C:\Users\eivindjk\Documents\Bever Team\Favorites\Drillplans\STIGENDE Normalprofil 13960-14410 med 169 ladet hull.xml';
boltPlan = 'C:\Users\eivindjk\Documents\Bever Team\Favorites\Drillplans\Bolteplan Klasse C pel 13960-14410 Stigende.xml';

[left, right, center] = allocateHolesWithBolts(drillPlan,boltPlan);
f=figure;
set(f,'Units','Pixels');
set(f, 'OuterPosition', [0, 0, 1500, 1200]);
grid on
p1 = scatter3(left(:,1),left(:,2),left(:,3),'r');
hold on
p2 = scatter3(right(:,1),right(:,2),right(:,3),'g');
p3 = scatter3(center(:,1),center(:,2),center(:,3),'b');
view([-1.5,1,1])
daspect([1 0.5 1]);
legend([p1 p2 p3],{'Boom 1','Boom 2','Boom 3'},'Location','northeast','FontSize',16);
drawnow
title('Drill and bolt plan allocation','FontSize',48);
xlabel('Distance [m]','FontSize',24);
ylabel('Distance [m]','FontSize',24);
zlabel('Distance [m]','FontSize',24);
set(gca,'FontSize',16)
ax = gca;
outerpos = ax.OuterPosition;
ti = ax.TightInset; 
left = outerpos(1) + ti(1);
bottom = outerpos(2) + ti(2);
ax_width = outerpos(3) - ti(1) - ti(3);
ax_height = outerpos(4) - ti(2) - ti(4);
ax.Position = [left bottom ax_width ax_height];

saveas(f,strcat('C:\Users\eivindjk\Documents\Master\Drill plan plots\','13960-14410_Drill_and_bolt_plan_allocation.png'));
saveas(f,strcat('C:\Users\eivindjk\Documents\Master\Drill plan plots\','13960-14410_Drill_and_bolt_plan_allocation.fig'));
saveas(f,strcat('C:\Users\eivindjk\Documents\Master\Drill plan plots\','13960-14410_Drill_and_bolt_plan_allocation.eps'),'epsc');